JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ operator[]() [8/8] template<typename T >
const_reference nlohmann::basic_json::operator[] | ( | T * | key | ) | const
| inline
  Returns a const reference to the element at with specified key key. No bounds checking is performed. Warning If the element with key key does not exist, the behavior is undefined. Parameters
  [in] | key | key of the element to access
  Returns const reference to the element at key key Precondition The element with key key must exist. This precondition is enforced with an assertion. Exceptions
  type_error.305 | if the JSON value is not an object; in that case, using the [] operator with a key makes no sense.
  Complexity Logarithmic in the size of the container. Example The example below shows how object elements can be read using the `[]` operator. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create a JSON object 9 const json object = 10 { 11 {"one", 1}, {"two", 2}, {"three", 2.9} 12 }; 13 14 // output element with key "two" 15 std::cout << object["two"] << '\n'; 16 } Output (play with this example online):
      2
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/operatorarray__key_type_const.cpp -o operatorarray__key_type_const
See also at(const typename object_t::key_type&) for access by reference with range checking value() for access by value with a default value Since version 1.1.0 Definition at line 19510 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774